package com.jjt.order.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.order.mapper.TwinOrderDetailMapper;
import com.jjt.order.domain.TwinOrderDetail;
import com.jjt.order.service.ITwinOrderDetailService;
import javax.annotation.Resource;

/**
 * 销售订单明细信息Service业务层处理
 *
 * @author wukai
 * @date 2025-01-16
 */
@Service
public class TwinOrderDetailServiceImpl implements ITwinOrderDetailService {
    @Resource
    private TwinOrderDetailMapper twinOrderDetailMapper;

    /**
     * 查询销售订单明细信息
     *
     * @param odId 销售订单明细信息主键
     * @return 销售订单明细信息
     */
    @Override
    public TwinOrderDetail selectTwinOrderDetailByOdId(Long odId) {
        return twinOrderDetailMapper.selectTwinOrderDetailByOdId(odId);
    }

    /**
     * 查询销售订单明细信息列表
     *
     * @param twinOrderDetail 销售订单明细信息
     * @return 销售订单明细信息
     */
    @Override
    public List<TwinOrderDetail> selectTwinOrderDetailList(TwinOrderDetail twinOrderDetail) {
        return twinOrderDetailMapper.selectTwinOrderDetailList(twinOrderDetail);
    }

    /**
     * 新增销售订单明细信息
     *
     * @param twinOrderDetail 销售订单明细信息
     * @return 结果
     */
    @Override
    public int insertTwinOrderDetail(TwinOrderDetail twinOrderDetail) {
            return twinOrderDetailMapper.insertTwinOrderDetail(twinOrderDetail);
    }

    /**
     * 修改销售订单明细信息
     *
     * @param twinOrderDetail 销售订单明细信息
     * @return 结果
     */
    @Override
    public int updateTwinOrderDetail(TwinOrderDetail twinOrderDetail) {
        return twinOrderDetailMapper.updateTwinOrderDetail(twinOrderDetail);
    }

    /**
     * 批量删除销售订单明细信息
     *
     * @param odIds 需要删除的销售订单明细信息主键
     * @return 结果
     */
    @Override
    public int deleteTwinOrderDetailByOdIds(Long[] odIds) {
        return twinOrderDetailMapper.deleteTwinOrderDetailByOdIds(odIds);
    }

    /**
     * 删除销售订单明细信息信息
     *
     * @param odId 销售订单明细信息主键
     * @return 结果
     */
    @Override
    public int deleteTwinOrderDetailByOdId(Long odId) {
        return twinOrderDetailMapper.deleteTwinOrderDetailByOdId(odId);
    }
}
